# ydl_ai_recommender

## 简介

根据用户的画像信息，推荐咨询师


## 使用

无特殊说明，下面所有的操作均在项目主目录（也就是本文件所在目录）下操作


### 环境配置


```bash
# 第一次配置，构建虚拟环境
conda env create --file environment.yaml

```

**之后每次使用时，先进入虚拟环境 `source activate yar`**


### 更新特征、索引信息

```bash

# 1. 从数据库中拉取最新数据到本地
python bin/update.py -t load_db_data

# 2. 构建相关特征、索引信息
python bin/update.py -t make_embedding

```

### 启动接口服务

```bash
# 一定要在 `bin` 目录中执行
cd bin
sh start.sh
```


### 性能测试

```bash
python bin/test.py
```


## 项目目录介绍

 - `analysis` 前期调研、新方法评估试验等相关脚本存放目录
 - `bin` 相关执行脚本目录
 - `data` 项目中用到的数据存放目录
 - `log` 项目内接口、脚本等运行日志存放目录
 - `src` 项目核心代码目录
   - `core` 核心代码
   - `data` 数据操作相关代码
   - `service` 推荐算法接口服务
   - `utils` 公共用到的工具类